9.0 Released! → Native ESM runtimes 🚀, Vite support ⚡️, multi-window apps and more...
Read Announcement

Defined in: http/http-interfaces.ts

Extended by

Properties

toArrayBuffer

ts
toArrayBuffer: () => ArrayBuffer;

Defined in: http/http-interfaces.ts

Gets the response body as ArrayBuffer

Returns

ArrayBuffer


toFile

ts
toFile: (destinationFilePath?: string) => File;

Defined in: http/http-interfaces.ts

Gets the response body as file.

Parameters

ParameterType
destinationFilePath?string

Returns

File


toImage

ts
toImage: () => Promise<ImageSource>;

Defined in: http/http-interfaces.ts

Gets the response body as ImageSource.

Returns

Promise<ImageSource>


toJSON

ts
toJSON: (encoding?: HttpResponseEncoding) => any;

Defined in: http/http-interfaces.ts

Gets the response body as JSON object.

Parameters

ParameterType
encoding?HttpResponseEncoding

Returns

any


toString

ts
toString: (encoding?: HttpResponseEncoding) => string;

Defined in: http/http-interfaces.ts

Gets the response body as string.

Parameters

ParameterType
encoding?HttpResponseEncoding

Returns

string

Previous
Http